package com.hanyun.hip.mrqc.demo.controller;

import com.hanyun.hip.mrqc.demo.domain.SysUserDemo;
import com.hanyun.hip.mrqc.demo.service.IDemoService;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.framework.util.ShiroUtils;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * @ClassName：TestController
 * @author: ouyang0810@foxmail.com
 * @CreateDate: 2022/6/27
 * @UpdateUser: ouyang0810@foxmail.com
 * @UpdateDate: 2022/6/27
 * @UpdateRemark:
 * @Description:
 * @Version: [V1.0]
 */
@Controller
@RequestMapping("/test")
public class TestController extends BaseController {
    private Logger logger = LogManager.getLogger(TestController.class);

    @Autowired
    private IDemoService demoService;

    @RequestMapping("/test")
    public String testController(ModelMap map){

        SysUserDemo sysUserDemo = demoService.selecUserDemo(ShiroUtils.getUserId());
        map.put("demo","成功");
        map.put("sysUserDemo",sysUserDemo);
        return "/mrqc/demo/demo";
    }
}
