package com.hanyun.hip.mrqc.demo.service.impl;

import com.hanyun.hip.mrqc.demo.domain.SysUserDemo;
import com.hanyun.hip.mrqc.demo.mapper.DemoMapper;
import com.hanyun.hip.mrqc.demo.service.IDemoService;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @ClassName：DemoServiceImpl
 * @author: ouyang0810@foxmail.com
 * @CreateDate: 2022/6/28
 * @UpdateUser: ouyang0810@foxmail.com
 * @UpdateDate: 2022/6/28
 * @UpdateRemark:
 * @Description:
 * @Version: [V1.0]
 */
@Service
public class DemoServiceImpl implements IDemoService {
    private Logger logger = LogManager.getLogger(DemoServiceImpl.class);

    @Autowired
    private DemoMapper demoMapper;

    @Override
    public SysUserDemo selecUserDemo(Long userId) {
        return demoMapper.selecUserDemo(userId);
    }
}
